Wallets
Award Wallet XP
Awards XP points to a wallet address for a campaign. This endpoint handles user registration if the address is new, creates campaign entries, validates reward uniqueness, and processes XP calculations. Also triggers webhook notifications for the reward event.
POST
/
wallet
/
reward
Award Wallet XP
curl --request POST \
--url https://prod.claimr.io/api/v1/wallet/reward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"pid": "campaign_001",
"id": "reward_task_001",
"xp": 100
}
'import requests
url = "https://prod.claimr.io/api/v1/wallet/reward"
payload = {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"pid": "campaign_001",
"id": "reward_task_001",
"xp": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x1234567890abcdef1234567890abcdef12345678',
pid: 'campaign_001',
id: 'reward_task_001',
xp: 100
})
};
fetch('https://prod.claimr.io/api/v1/wallet/reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": true,
"error": {
"code": 400,
"message": "bad request"
}
}{
"success": true,
"error": {
"code": 401,
"message": "unauthorized"
}
}{
"success": true,
"error": {
"code": 403,
"message": "access denied"
}
}{
"success": true,
"error": {
"code": 500,
"message": "internal error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Ethereum wallet address to award the reward to
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Campaign/Project ID to award the reward for
Example:
"campaign_001"
Unique identifier for this reward (prevents duplicate rewards)
Example:
"reward_task_001"
Amount of XP points to award
Example:
100
Response
Reward successfully awarded to wallet.
Example:
true
⌘I
Award Wallet XP
